/**
 * @file tv_test.c
 * tv_test native device driver test.
 */
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <propeller.h>

#include "tv_text.h"

void main(void)
{
    int ii = 85;
    int jj = 0;

    tvText_start(12);  // start TV
    
    print("\nzoot ");

    print("color");
    tvText_setXY(0,0);
    print("Hi\n");
    print("zoot");
    tvText_setCoordPosition(1,3);
    print("abcd");
    tvText_setCurPosition(5,5);
    
    print("Hello World!\r");
    tvText_setY(tvText_getY()+1);
    tvText_str("Decimal ");
    tvText_dec(ii);
    tvText_setY(tvText_getY()+1);

    for(jj = 10; jj < 20; jj++) {
        tvText_setColors((jj-10));
        tvText_setXY(jj, jj % TV_TEXT_ROWS);
        tvText_str("0x");
        tvText_hex(ii++, 4);
    }
    
    while(1);
}
